﻿
@{
    ViewBag.Title = "Home";
    Layout = "~/Views/Shared/_LayoutHome.cshtml";
}

<link rel="stylesheet" type="text/css" href="~/Content/lib/file-upload-image-preview/style.css">
<link rel="stylesheet" href="~/Content/lib/datepicker_buddhist_year/css/ui-lightness/jquery-ui-1.8.10.custom.css">
<link rel="stylesheet" href="~/Content/lib/datepicker_buddhist_year/uistyle.css">
<link rel="stylesheet" type="text/css" href="~/Content/lib/AnyPicker-master/anypicker-font.css">
<link rel="stylesheet" type="text/css" href="~/Content/lib/AnyPicker-master/anypicker.css">

<link rel="stylesheet" type="text/css" href="~/Content/lib/AnyPicker-master/anypicker-ios.css">
<link rel="stylesheet" type="text/css" href="~/Content/lib/AnyPicker-master/anypicker-android.css">
<link rel="stylesheet" type="text/css" href="~/Content/lib/AnyPicker-master/anypicker-windows.css">

<!-- Page Title
============================================= -->
<section id="page-title" class="page-title-parallax" style="background-image: url('@Url.Content("~/assets/theme/medical/images/appointment/page-title-bg.jpg")'); background-position: bottom center; background-size: cover; padding: 80px 0;">

    <div class="container clearfix">
        <h1>Register</h1>
        <span></span>
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="@Url.Action("Index", "Home")">หน้าแรก</a></li>
            <li class="breadcrumb-item"><a href="@Url.Action("Register", "Register")">ลงทะเบียน</a></li>
            <li class="breadcrumb-item active" aria-current="page">สมาชิกชมรมพยาบาลแบบประคับประคอง</li>
        </ol>
    </div>

</section><!-- #page-title end -->
<!-- Content
============================================= -->
<section id="content">
    <div class="content-wrap">
        <div class="container clearfix">
            <div class="card mx-auto clearfix" style="max-width: 840px;">
                <div class="card-body" style="padding: 40px;">
                    <h3 class="regis-header">ลงทะเบียน : สมาชิกชมรมพยาบาลแบบประคับประคอง</h3>
                    @using (Html.BeginForm("Register", "Home", FormMethod.Post, new { id = "", data_parsley_validate = "", enctype = "multipart/form-data" }))
                    {
                        <div class="row">
                            <div class="col-md-12 form-group">
                                <label for="memberID">กรุณากรอกชื่อ-นามสกุล, รหัสสมาชิก หรือหมายเลขบัตรประชาชน เพื่อยืนยันตัวตน</label>
                                <div class="row">
                                    <div class="col-md-6">
                                        <input type="text" class="form-control" id="search" name="search"
                                               placeholder="Search"
                                               aria-label="Search"
                                               aria-describedby="btn-search-search">
                                    </div>
                                    <div class="col-md-2">
                                        <button class="btn btn-secondary btn-search-search" type="button"
                                                id="btn-search-search">
                                            Search
                                        </button>
                                    </div>
                                </div>
                                <input type="hidden" id="textSearch" name="textSearch" class="form-control">
                                <input type="hidden" id="memberID" name="memberID" class="form-control">
                                <input type="hidden" id="isMember" name="isMember" class="form-control" value="1">
                            </div>
                        </div>
                        <input type="hidden" id="isMember" name="isMember" class="form-control" value="1">
                        <div class="row">
                            <div class="col-md-6 form-group">
                                <label for="regisNo">เลขที่ใบอนุญาต (สภาการพยาบาล) เพื่อขอรับ CNEU</label>
                                <input type="text" id="regisNo" name="regisNo" class="form-control" placeholder="เลขที่ใบอนุญาต (สภาการพยาบาล) เพื่อขอรับ CNEU">
                            </div>
                            <div class="col-md-6 form-group">
                                <label for="organization">* หน่วยงาน</label>
                                <input type="text" id="organization" name="organization" class="form-control" placeholder="หน่วยงาน" required data-parsley-required-message="กรุณากรอกหน่วยงาน">
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6 form-group">
                                <label for="firstName">* ชื่อ</label>
                                <input type="text" id="firstName" name="firstName" class="form-control" placeholder="ชื่อ" required data-parsley-required-message="กรุณากรอกชื่อ">
                            </div>
                            <div class="col-md-6 form-group">
                                <label for="surName">* นามสกุล</label>
                                <input type="text" id="surName" name="surName" class="form-control" placeholder="นามสกุล" required data-parsley-required-message="กรุณากรอกนามสกุล">
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6 form-group">
                                <label for="email">* อีเมล</label>
                                <input type="email" id="email" name="email" class="form-control" placeholder="example@gmail.com" required data-parsley-required-message="กรุณากรอกอีเมล">
                            </div>
                            <div class="col-md-6 form-group">
                                <label for="confirmEmail">* ยืนยันอีเมล</label>
                                <input type="email" id="confirmEmail" name="confirmEmail" class="form-control" data-parsley-equalto="#email" required
                                       data-parsley-equalto-message="อีเมลต้องเหมือนกัน" data-parsley-required-message="กรุณากรอกยืนยันอีเมล" placeholder="example@gmail.com">
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6 form-group">
                                <label for="idCard">* เบอร์โทร</label>
                                <input type="text" id="mobileNo" name="mobileNo" class="form-control" placeholder="08-xxxx-xxxx" required data-parsley-required-message="กรุณากรอกเบอร์โทร">
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6 form-group">
                                <label for="price">* จำนวนเงินที่ต้องชำระ</label><br>
                                <button type="button" class="btn btn-payAmount" disabled="disabled">300 บาท</button>
                                <input type="hidden" id="price" name="price" value="300" class="form-control">
                            </div>
                            <div class="col-md-6 form-group">
                                <label for="payAmount">* จำนวนเงินที่โอน:</label>
                                <input type="text" id="payAmount" name="payAmount" class="form-control" placeholder="300" value="300" required data-parsley-required-message="กรุณากรอกจำนวนเงินที่โอน">
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6 form-group">
                                <label for="payInDate">* วันที่โอนเงิน:</label>
                                <div class="input-group">
                                    <input type="text" class="form-control datepicker" id="payInDate" name="payInDate" placeholder="DD/MM/YYYY"
                                           autocomplete="off" readonly required>
                                    <div class="input-group-append">
                                        <div class="input-group-text"><i class=""></i></div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6 form-group">
                                <label for="payInTime">* เวลาที่โอนเงิน:</label>
                                <input type="text" id="payInTime" name="payInTime" class="form-control" placeholder="00:00" readonly required>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12 uploader">
                                <div class="form-group">
                                    <p class="m-0 text-center text-bank"><img class="mr-2" src="~/Assets/img/logo-bank.png" style="width:25px;height:auto">ธนาคาร กสิกรไทย เลขที่บัญชี 082-8-67342-4</p>
                                    <p class="m-0 text-center text-bank-name">ชื่อบัญชี (นางขิ่ม สกุลนุ่ม , นางพวงทอง ตันวงษ์วาน และนางสาวพิมล พันธุ์วิไล )</p>
                                    <input id="file-upload" type="file" name="FilePicture" accept="image/*" data-parsley-errors-container="#file-upload-errors" required data-parsley-required-message="กรุณาแนบภาพหลักฐานการจ่ายเงิน" />
                                    <label for="file-upload" id="file-drag">
                                        <img id="file-image" src="#" alt="Preview" class="hidden">
                                        <div id="start">
                                            <i class="fa fa-download" aria-hidden="true"></i>
                                            <div>คุณสามารถลากภาพหลักฐานการจ่ายเงินได้ที่นี่</div>
                                            <div id="notimage" class="hidden">Please select an image</div>
                                            <span id="file-upload-btn" class="btn btn-primary">เลิอกรูปภาพ</span>
                                        </div>
                                        <div id="response" class="hidden">
                                            <div id="messages"></div>
                                            <progress class="progress" id="file-progress" value="0">
                                                <span>0</span>%
                                            </progress>
                                        </div>
                                    </label>
                                    <div id="file-upload-errors"></div>
                                </div>

                            </div>
                        </div>

                        <div class="col-12 form-group text-center pt-2">
                            <button class="button button-rounded m-0 btn-register" type="submit" value="submit">ลงทะเบียน</button>
                        </div>
                    }
                </div>

            </div>
        </div>
    </div>
</section>

<section>
    <div class="container content-wrap">
        <div class="card" style="padding: 40px;">
            <div class="row justify-content-center">
                <div class="col-md-6 text-center">
                    <h3>หัวข้อ</h3>
                </div>
            </div>
            <div class="row">
                <div class="col-md-6">
                    <div class="form-group">
                        <span>title</span>
                        <input type="text" class="form-control" placeholder="number" />
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="form-group">
                        <span>title</span>
                        <input type="text" class="form-control" placeholder="number" />
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-6">
                    <div class="form-group">
                        <span>title</span>
                        <input type="text" class="form-control" placeholder="number" />
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="form-group">
                        <span>title</span>
                        <input type="text" class="form-control" placeholder="number" />
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-6">
                    <div class="form-group">
                        <span>title</span>
                        <input type="text" class="form-control" placeholder="number" />
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="form-group">
                        <span>title</span>
                        <input type="text" class="form-control" placeholder="number" />
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12 text-center">
                    <button class="button" type="submit" value="submit">ลงทะเบียน</button>
                </div>
            </div>
        </div>
    </div>
</section>

<!-- JavaScripts==================================== -->
@section Scripts{
    <script src="~/Content/lib/datepicker_buddhist_year/js/jquery-ui.js"></script>
    <script src="~/Content/lib/datepicker_buddhist_year/js/jquery-ui-1.11.4.custom.js"></script>
    <script src="~/Content/lib/AnyPicker-master/anypicker.js"></script>
    <script src="~/Content/lib/file-upload-image-preview/script.js"></script>
    <script>
        $(document).ready(function () {
            ekUpload();
            createTime();
            $('#mobileNo').mask(SPMaskPhone, PhoneOptions);
            $('#idCard').mask(SPMaskBehavior_idcard, spOptions_idcard);
            $("#price,#payAmount").inputFilter(function (value) {
                return /^-?\d*[.,]?\d*$/.test(value);
            });
            /** เรียกใช้ library datepicker */
            $.datepicker.regional['th'] = {
                changeMonth: true,
                changeYear: true,
                yearOffSet: 543,
                dateFormat: 'dd/mm/yy',
                isBuddhist: true,
                dayNames: ['อาทิตย์', 'จันทร์', 'อังคาร', 'พุธ', 'พฤหัสบดี', 'ศุกร์', 'เสาร์'],
                dayNamesMin: ['อา', 'จ', 'อ', 'พ', 'พฤ', 'ศ', 'ส'],
                monthNames: ['มกราคม', 'กุมภาพันธ์', 'มีนาคม', 'เมษายน', 'พฤษภาคม', 'มิถุนายน', 'กรกฎาคม', 'สิงหาคม', 'กันยายน', 'ตุลาคม', 'พฤศจิกายน', 'ธันวาคม'],
                monthNamesShort: ['ม.ค.', 'ก.พ.', 'มี.ค.', 'เม.ย.', 'พ.ค.', 'มิ.ย.', 'ก.ค.', 'ส.ค.', 'ก.ย.', 'ต.ค.', 'พ.ย.', 'ธ.ค.'],
                constrainInput: true,
                prevText: 'ก่อนหน้า',
                nextText: 'ถัดไป',
                yearRange: '-5:+10',

            };
            $.datepicker.setDefaults($.datepicker.regional['th']);
            $(function () {
                $(".datepicker").datepicker($.datepicker.regional["th"]); // Set ภาษาที่เรานิยามไว้ด้านบน
                $(".datepicker").datepicker("setDate", new Date()); //Set ค่าวันปัจจุบัน
            });
        });

        function ekUpload() {
            function Init() {

                console.log("Upload Initialised");

                var fileSelect = document.getElementById('file-upload'),
                    fileDrag = document.getElementById('file-drag'),
                    submitButton = document.getElementById('submit-button');

                fileSelect.addEventListener('change', fileSelectHandler, false);

                // Is XHR2 available?
                var xhr = new XMLHttpRequest();
                if (xhr.upload) {
                    // File Drop
                    fileDrag.addEventListener('dragover', fileDragHover, false);
                    fileDrag.addEventListener('dragleave', fileDragHover, false);
                    fileDrag.addEventListener('drop', fileSelectHandler, false);
                }
            }

            function fileDragHover(e) {
                var fileDrag = document.getElementById('file-drag');

                e.stopPropagation();
                e.preventDefault();

                fileDrag.className = (e.type === 'dragover' ? 'hover' : 'modal-body file-upload');
            }

            function fileSelectHandler(e) {
                // Fetch FileList object
                var files = e.target.files || e.dataTransfer.files;
                // Cancel event and hover styling
                fileDragHover(e);

                // Process all File objects
                for (var i = 0, f; f = files[i]; i++) {
                    parseFile(f);
                    //uploadFile(f);
                }
            }

            // Output
            function output(msg) {
                // Response
                var m = document.getElementById('messages');
                m.innerHTML = msg;
            }
          function parseFile(file) {
              var fileSizeLimit = 100;
              console.log(file.name);
              output(
                  '<strong>' + encodeURI(file.name) + '</strong>'
              );
              var fileName = file.name;
              //var output_fileName = fileName.substr(0, fileName.lastIndexOf('.')) || fileName;
              var isGood = (/\.(?=gif|jpg|png|jpeg|png)/gi).test(fileName);
              if (file.size <= fileSizeLimit * 1024 * 1024) {//20MB//20971520,//100MB//104857600
                  if (isGood) {
                      document.getElementById('start').classList.add("hidden");
                      document.getElementById('response').classList.remove("hidden");
                      //document.getElementById('notimage').classList.add("hidden");
                      // Thumbnail Preview
                      document.getElementById('file-image').classList.remove("hidden");
                      document.getElementById('file-image').src = URL.createObjectURL(file);
                  }
                  else {
                      document.getElementById('file-image').classList.add("hidden");
                      //document.getElementById('notimage').classList.remove("hidden");
                      document.getElementById('start').classList.remove("hidden");
                      document.getElementById('response').classList.add("hidden");
                      Swal.fire({
                          icon: "info",
                          title: "",
                          text: "Allowed file extension is .jpg .jpeg .png .png .gif",

                          showCloseButton: true,
                          confirmButtonText: "close",
                          customClass: {
                              confirmButton: 'btn btn--gray',
                          },
                          buttonsStyling: false
                      });
                  }
              } else {
                  Swal.fire({
                      icon: "info",
                      title: "",
                      text: "File size exceeds maximum limit. Maximum allowed file size is 20 MB.",
                      showCloseButton: true,
                      confirmButtonText: "close",
                      customClass: {
                          confirmButton: 'btn btn--gray',
                      },
                      buttonsStyling: false
                  });
              }

          }
            function setProgressMaxValue(e) {
                var pBar = document.getElementById('file-progress');

                if (e.lengthComputable) {
                    pBar.max = e.total;
                }
            }

            function updateFileProgress(e) {
                var pBar = document.getElementById('file-progress');

                if (e.lengthComputable) {
                    pBar.value = e.loaded;
                }
            }

            // Check for the various File API support.
            if (window.File && window.FileList && window.FileReader) {
                Init();
            } else {
                document.getElementById('file-drag').style.display = 'none';
            }
        }
        (function ($) {
            $.fn.inputFilter = function (inputFilter) {
                return this.on("input keydown keyup mousedown mouseup select contextmenu drop", function () {
                    if (inputFilter(this.value)) {
                        this.oldValue = this.value;
                        this.oldSelectionStart = this.selectionStart;
                        this.oldSelectionEnd = this.selectionEnd;
                    } else if (this.hasOwnProperty("oldValue")) {
                        this.value = this.oldValue;
                        this.setSelectionRange(this.oldSelectionStart, this.oldSelectionEnd);
                    } else {
                        this.value = "";
                    }
                });
            };
        }(jQuery));
        ////Phone : 00-0000-0000
        var SPMaskPhone = function (val) {
            return val.replace(/\D/g, '').length === 10 ? '00-0000-0000' : '00-0000-0000';
        },
            PhoneOptions = {
                onKeyPress: function (val, e, field, options) {
                    field.mask(SPMaskPhone.apply({}, arguments), options);
                }
            };
        ////idcard : 0-0000-00000-00-0
        var SPMaskBehavior_idcard = function (val) {
            return val.replace(/\D/g, '').length === 13 ? '0-0000-00000-00-0' : '0-0000-00000-00-0';
        },
            spOptions_idcard = {
                onKeyPress: function (val, e, field, options) {
                    field.mask(SPMaskBehavior_idcard.apply({}, arguments), options);
                }
            };
        function createTime() {
            var dt = new Date();
            //var time = "";
            //var time = dt.getHours() + ":" + dt.getMinutes();
            var time = moment(dt).format('HH:mm');
            console.log('formatteddatestr : ' + time);
            var io18n = {
                headerTitle: "เวลา",
                setButton: "เลือก",
                cancelButton: "ยกเลิก"
            };
            var sUserAgent = navigator.userAgent,
                isMobile =
                {
                    Android: sUserAgent.match(/Android|Silk/i),
                    iOS: sUserAgent.match(/iPhone/i),
                    Windows: sUserAgent.match(/IEMobile/i)
                };
            isMobile.other = !(isMobile.Android || isMobile.iOS || isMobile.Windows);

            if (isMobile.other) {
                $("#payInTime").AnyPicker(
                    {
                        mode: "datetime",

                        dateTimeFormat: "HH:mm",
                        selectedDate: time,
                        theme: "Default", // "Default", "iOS", "Android", "Windows"
                        i18n: io18n
                    });
            }
            else if (isMobile.Windows) {
                $("#payInTime").AnyPicker(
                    {
                        mode: "datetime",

                        dateTimeFormat: "HH:mm",
                        selectedDate: time,
                        theme: "Windows", // "Default", "iOS", "Android", "Windows"
                        i18n: io18n
                    });
            }

            else if (isMobile.iOS) {
                $("#payInTime").AnyPicker(
                    {
                        mode: "datetime",

                        dateTimeFormat: "HH:mm",
                        selectedDate: time,
                        theme: "iOS", // "Default", "iOS", "Android", "Windows"
                        i18n: io18n
                    });
            }

            else if (isMobile.Android) {
                $("#payInTime").AnyPicker(
                    {
                        mode: "datetime",

                        dateTimeFormat: "HH:mm",
                        selectedDate: time,
                        theme: "Default", // "Default", "iOS", "Android", "Windows"
                        i18n: io18n
                    });
            }
        }
        $(document).on('click', '#btn-search-search', function () {
            var search = $("#search").val();
            console.log("search", search);

            if (search != "") {
                searchUser(search);
            } else {
                $("#search").focus();
                Swal.fire({
                    icon: 'error',
                    title: "",
                    text: 'This value is required.',
                    showCloseButton: true,
                    confirmButtonText: "OK",
                });
            }
        });

        function searchUser(search) {
            $('#AjaxLoader').show();
            $.ajax({
                url: '@Url.Action("SearchUser", "Home")',
                data: { search: search },
                type: 'POST',
                dataType: "json",
                success: function (response) {
                    $('#AjaxLoader').hide();
                    Swal.fire({
                        icon: "success",
                        title: '',
                        text: '',
                        showCloseButton: 'Ok',
                    }).then((result) => {
                        $('#mobileNo').val(response.mobileNo).trigger('input');
                    });
                    console.log(response);

                }
            });
        }
    </script>
}

